| Home | Libraries | People | FAQ | More

## Struct template type_to_string<icl::split_interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >>

boost::icl::type_to_string<icl::split_interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >>

## Synopsis

    // In header: <boost/icl/split_interval_map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_INTERVAL(ICL_COMPARE) Interval, ICL_ALLOC Alloc>
    struct type_to_string<icl::split_interval_map< DomainT, CodomainT, Traits, Compare, Combine, Section, Interval, Alloc >> {

      // public static functions
      static std::string apply();
    };

## Description

### `type_to_string` public static functions

1.     static std::string apply();